curl --request GET \
--url https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "Account",
"vid": "<string>",
"external_id": "<string>",
"created": "<string>",
"parent": {
"object": "Account",
"id": "<string>",
"vid": "<string>"
},
"default_currency": "<string>",
"email": "<string>",
"email_type": "html",
"language": "<string>",
"notify_before_billing": true,
"company": "<string>",
"name": "<string>",
"shipping_address": {
"object": "Address",
"vid": "<string>",
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"county": "<string>",
"district": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"fax": "<string>",
"latitude": 123,
"longitude": 123,
"tax_area_identifier": 123
},
"payment_methods": {
"object": "List",
"total_count": 123,
"data": [
{
"id": "<string>",
"vid": "<string>",
"object": "PaymentMethod",
"created": "<string>",
"type": "Amazon",
"credit_card": {
"vid": "<string>",
"object": "CreditCard",
"last_digits": "<string>",
"account_length": 123,
"hash_type": "sha1",
"expiration_date": "<string>",
"extended_card_attributes": {},
"cvn": "<string>",
"last_au_request_date": "<string>",
"last_update_date": "<string>",
"au_response_code": "<string>",
"au_response_message": "<string>"
},
"direct_debit": {},
"paypal": {},
"amazon": {},
"merchant_accepted_payment": {
"object": "MerchantAcceptedPayment",
"amount": 123,
"currency": "<string>",
"created": "<string>",
"payment_type": "<string>",
"account": "<string>",
"last_digits": "<string>"
},
"external_billing": {
"object": "ExternalBilling",
"bill_receiver": "<string>",
"payment_channel": "<string>",
"financial_account": "<string>"
},
"carrier_billing": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"apple_pay": {},
"google_pay": {},
"metadata": {},
"account_holder": "<string>",
"billing_address": {
"object": "Address",
"vid": "<string>",
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"county": "<string>",
"district": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"fax": "<string>",
"latitude": 123,
"longitude": 123,
"tax_area_identifier": 123
},
"customer_specified_type": "<string>",
"customer_description": "<string>",
"currency": "<string>",
"primary": true,
"active": true,
"validation_status": {
"object": "TransactionStatus",
"status": "New",
"created": "<string>",
"payment_method_type": "CreditCard",
"vin_avs": "FullMatch",
"funding_source_balance": 123
},
"policy": {}
}
]
},
"metadata": {},
"tax_exemptions": [
{
"object": "TaxExemption",
"region": "<string>",
"exemption_id": "<string>",
"active": true
}
],
"tokens": [
{
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
],
"credit": [
{
"object": "Credit",
"token_amounts": [
{
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
],
"currency_amounts": [
{
"object": "CurrencyAmount",
"vid": "<string>",
"currency": "<string>",
"amount": 123,
"metadata": {},
"sort_value": 123,
"description": "<string>",
"reason": "<string>",
"granted_by_cashbox": true,
"granted": "<string>",
"account": {
"object": "Account",
"id": "<string>",
"vid": "<string>"
},
"subscription": {
"object": "Subscription",
"id": "<string>",
"vid": "<string>"
}
}
]
}
],
"entitlements": [
{
"id": "<string>",
"object": "Entitlement",
"description": "<string>"
}
],
"tax_use_code": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Get Account
Get a specific account.
curl --request GET \
--url https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"X-API-KEY: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("X-API-KEY", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}")
.header("X-API-KEY", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://int-prodtest.m1amdocs.io/slmgw/v1/accounts/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["X-API-KEY"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"id": "<string>",
"object": "Account",
"vid": "<string>",
"external_id": "<string>",
"created": "<string>",
"parent": {
"object": "Account",
"id": "<string>",
"vid": "<string>"
},
"default_currency": "<string>",
"email": "<string>",
"email_type": "html",
"language": "<string>",
"notify_before_billing": true,
"company": "<string>",
"name": "<string>",
"shipping_address": {
"object": "Address",
"vid": "<string>",
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"county": "<string>",
"district": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"fax": "<string>",
"latitude": 123,
"longitude": 123,
"tax_area_identifier": 123
},
"payment_methods": {
"object": "List",
"total_count": 123,
"data": [
{
"id": "<string>",
"vid": "<string>",
"object": "PaymentMethod",
"created": "<string>",
"type": "Amazon",
"credit_card": {
"vid": "<string>",
"object": "CreditCard",
"last_digits": "<string>",
"account_length": 123,
"hash_type": "sha1",
"expiration_date": "<string>",
"extended_card_attributes": {},
"cvn": "<string>",
"last_au_request_date": "<string>",
"last_update_date": "<string>",
"au_response_code": "<string>",
"au_response_message": "<string>"
},
"direct_debit": {},
"paypal": {},
"amazon": {},
"merchant_accepted_payment": {
"object": "MerchantAcceptedPayment",
"amount": 123,
"currency": "<string>",
"created": "<string>",
"payment_type": "<string>",
"account": "<string>",
"last_digits": "<string>"
},
"external_billing": {
"object": "ExternalBilling",
"bill_receiver": "<string>",
"payment_channel": "<string>",
"financial_account": "<string>"
},
"carrier_billing": {
"object": "CarrierBilling",
"phone_number": {
"object": "PhoneNumber",
"phone_type": "CS",
"country_code": "<string>",
"area_code": "<string>",
"local_number": "<string>",
"extension": "<string>",
"raw_input": "<string>"
},
"encoded_phone_number": "<string>",
"carrier": "<string>",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_criteria": {
"object": "PriceCriteria",
"payment_provider": {
"object": "PaymentProvider",
"name": "<string>",
"dispute_address": "<string>",
"dispute_email": "<string>",
"dispute_uri": "<string>",
"auth_expiration_days": 123,
"auth_currency_override": "<string>",
"metadata": {}
},
"currency": "<string>",
"country_code": "<string>",
"price_point_deviation_policy": "HiOnly",
"dynamic_price_mode": "PayoutGross",
"merchant_service_identifier": "<string>",
"sub_merchant_identifier": "<string>",
"description": "<string>",
"fwd_url": "<string>",
"static_selection_row_ref": 123,
"static_price_inc_sales_tax": "<string>",
"dynamic_deviation": 123,
"dynamic_match": 123,
"dynamic_target_price": "<string>"
},
"account_identifier": "<string>",
"carrier_billing_account_identifier_type": "MSISDN",
"customer_identifier": "not yet available - see VIN-26551",
"customer_identifier_type": "PoS , Web",
"validated": "<string>"
},
"apple_pay": {},
"google_pay": {},
"metadata": {},
"account_holder": "<string>",
"billing_address": {
"object": "Address",
"vid": "<string>",
"name": "<string>",
"line1": "<string>",
"line2": "<string>",
"line3": "<string>",
"city": "<string>",
"county": "<string>",
"district": "<string>",
"postal_code": "<string>",
"country": "<string>",
"phone": "<string>",
"fax": "<string>",
"latitude": 123,
"longitude": 123,
"tax_area_identifier": 123
},
"customer_specified_type": "<string>",
"customer_description": "<string>",
"currency": "<string>",
"primary": true,
"active": true,
"validation_status": {
"object": "TransactionStatus",
"status": "New",
"created": "<string>",
"payment_method_type": "CreditCard",
"vin_avs": "FullMatch",
"funding_source_balance": 123
},
"policy": {}
}
]
},
"metadata": {},
"tax_exemptions": [
{
"object": "TaxExemption",
"region": "<string>",
"exemption_id": "<string>",
"active": true
}
],
"tokens": [
{
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
],
"credit": [
{
"object": "Credit",
"token_amounts": [
{
"object": "TokenAmount",
"token": {
"object": "Token",
"id": "<string>",
"vid": "<string>",
"description": "<string>"
},
"amount": 123,
"source": "<string>"
}
],
"currency_amounts": [
{
"object": "CurrencyAmount",
"vid": "<string>",
"currency": "<string>",
"amount": 123,
"metadata": {},
"sort_value": 123,
"description": "<string>",
"reason": "<string>",
"granted_by_cashbox": true,
"granted": "<string>",
"account": {
"object": "Account",
"id": "<string>",
"vid": "<string>"
},
"subscription": {
"object": "Subscription",
"id": "<string>",
"vid": "<string>"
}
}
]
}
],
"entitlements": [
{
"id": "<string>",
"object": "Entitlement",
"description": "<string>"
}
],
"tax_use_code": "<string>"
}{
"code": "invalid-request",
"message": "<string>",
"validationErrors": [
{
"code": "<string>",
"message": "<string>"
}
]
}{
"code": "authentication-required",
"message": "<string>"
}{
"code": "not-found",
"message": "<string>"
}{
"code": "input-conflict",
"message": "<string>"
}{
"code": "server-error",
"message": "<string>"
}Authorizations
The authorization key obtained from MarketONE.
Headers
The TraceId indicates the overall ID of the trace. Every span in a trace shares this ID. The X-B3-TraceId header is encoded as 32 or 16 lower-hex characters. For example, a 128-bit TraceId header might look like 463ac35c9f6413ad48485a3953bb6124.
The SpanId is 64-bit in length and indicates the position of the current operation in the trace tree. The value should not be interpreted; it may or may not be derived from the value of the TraceId. The X-B3-SpanId header is encoded as 16 lower-hex characters. For example, a SpanId header might look like a2fb4a1d1a96d312. Unless propagating only the Sampling State, the X-B3-SpanId header is required.
The ParentSpanId is 64-bit in length and indicates the position of the parent operation in the trace tree. When the span is the root of the trace tree, there is no ParentSpanId. The X-B3-ParentSpanId header may be present on a child span and must be absent on the root span. It is encoded as 16 lower-hex characters. For example, a ParentSpanId header might look like 0020000000000001.
Path Parameters
The id or the vid of the Account to be retrieved.
Response
OK
The Account represents an aggregator’s customer. As such it can contain as much or as little information as you collect about the customers (people or organizations) to which you offer billing and subscriptions. Subscriptions and Transactions must belong to an Account - as such, Accounts will be required in MarketONE for billing. Read More in our User Guide An Account can have any number of children accounts and may have up to one parent account. Read more in our User Guide. An Account owns the “on file” payment methods to be used by it in billing. Payment Methods can be created at the same time as an Account is created or updated, but when updating an existing Payment Method the Payment Method Endpoint must be used.
A unique identifier.
128Value is “Account”
Account A Globally Unique Identifier (GUID) for this object. This value is generated by MarketONE.
128An additional aggregator-specified unique identifier for when you have two external (non-MarketONE) systems using two different identification schemes for the same customer. It can be used in place of vid or id
128The date/time the Account was created.
Show child attributes
Show child attributes
The email address associated with this Account.
The email format type preferred by this customer.
html, multipart, plaintext The language (code) preferred for communications.
Whether or not to send this customer pre-billing notification (emails).
The company name of the customer if a business Account.
The name of the person primarily associated with this Account.
The Address object represents a physical or mailing address.
Show child attributes
Show child attributes
The payment methods on file for this Account.
Show child attributes
Show child attributes
A set of key/value pairs that you can attach to an object. Useful for storing additional information.
Show child attributes
Show child attributes
Tax Exemptions registered for this Account.
Show child attributes
Show child attributes
The token balances for this Account.
Show child attributes
Show child attributes
The account-level credit balances for this Account.
Show child attributes
Show child attributes
The account-level entitlements for this Account.
Show child attributes
Show child attributes
Special Tax Handling rules defined with aggregator’s tax service.
Was this page helpful?

